import { EventEmitter } from '@angular/core';
import { AuthConfiguration } from '../modules/auth.configuration';
import { OidcSecurityCommon } from './oidc.security.common';
import { OidcDataService } from './oidc-data.service';
import { LoggerService } from './oidc.logger.service';
export declare class AuthWellKnownEndpoints {
    private oidcDataService;
    private authConfiguration;
    private oidcSecurityCommon;
    private loggerService;
    onWellKnownEndpointsLoaded: EventEmitter<any>;
    issuer: string;
    jwks_uri: string;
    authorization_endpoint: string;
    token_endpoint: string;
    userinfo_endpoint: string;
    end_session_endpoint: string;
    check_session_iframe: string;
    revocation_endpoint: string;
    introspection_endpoint: string;
    constructor(oidcDataService: OidcDataService, authConfiguration: AuthConfiguration, oidcSecurityCommon: OidcSecurityCommon, loggerService: LoggerService);
    setupModule(): void;
    private setWellKnownEndpoints(data);
    private getWellKnownEndpoints();
    private getUrl();
}
